Status: Resolved Priority: Should have
Author: Christian Kuhn Category:
Created: 2013-05-02 Assigned To:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: easy
Is Regression:
Sprint Focus:
Subject: Simplify load logic of dbal autoloader in install tool
Description

Associated revisions
Revision 66e47ca0 - 2013-05-02 17:09 - Christian Kuhn

[TASK] Simplify load logic of dbal autoloader in install tool

Moving the execute method from ext:dbal/class.tx_dbal_autoloader.php
to Installer.php obsoletes the dbal file.

Change-Id: I62fbfc3a0f2ccbac3e3e0ab259c735f85983260d
Resolves: #47836
Releases: 6.2
Reviewed-on: https://review.typo3.org/20422
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision cc1ae875 - 2013-05-02 17:14 - Christian Kuhn

[TASK] Remove dummy files from ext:dbal

Change-Id: I62715d95f7453aa0e86dddc299aba4dc9cbe19d1
Resolves: #47838
Related: #47756
Related: #47836
Releases: 6.2
Reviewed-on: https://review.typo3.org/20423
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision f189041a - 2013-05-02 20:11 - Christian Kuhn

[BUGFIX] Explicit require dbal autoloader file

The dbal autoload file in Installer.php may not be found if
ext:dbal is not loaded. This is solved with an explicit require.

Change-Id: I9991d579ec56c85dd117bc7938d129844b2d3150
Resolves: #47847
Related: #47836
Releases: 6.2
Reviewed-on: https://review.typo3.org/20440
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-05-02 16:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20422

#2 - 2013-05-02 16:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20422

#3 - 2013-05-02 17:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:66e47ca09004d4f4ee86849b9e8510f1bd097923.

2015-08-04 2/2

https://review.typo3.org/20440
https://review.typo3.org/20422
https://review.typo3.org/20422

